##  for Mageia 9  ##

# This package depends on automagic byte compilation
%global _python_bytecompile_extra 0

%define api 1.0
%define major 5
%define libname %mklibname anthygobject %api %major
%define develname %mklibname -d anthygobject
%define girname %mklibname anthy-gir 9000

# debuginfo-without-sources
%define debug_package %{nil}


Name:    ibus-anthy
Summary: ibus - Japanese Anthy engine
Version: 1.5.16
Release: 1.np9
Group:   System/Internationalization
License: GPLv2+
URL:     https://github.com/ibus/ibus-anthy

Source0: https://github.com/ibus/ibus-anthy/releases/download/%{version}/%{name}-%{version}.tar.gz

BuildRequires: pkgconfig(ibus-1.0) >= 1.5.0
BuildRequires: pkgconfig(anthy)
BuildRequires: pkgconfig(python3)
BuildRequires: pkgconfig(gobject-introspection-1.0)
BuildRequires: intltool
BuildRequires: ibus
Requires: ibus >= 1.5.0
Requires: anthy

%description
ibus - Japanese Anthy engine.

# ------------------------------------------------------

%package -n %{libname}
Group: System/Internationalization
Summary: Shared libs for anthygobject

%description -n %{libname}
Shared libs for anthygobject.

# ------------------------------------------------------

%package -n %{girname}
Group: System/Internationalization
Summary: GObject Introspection interface description for anthy
Requires: %{libname} = %{version}-%{release}

%description -n %{girname}
GObject Introspection interface description for anthy.

# ------------------------------------------------------

%package -n %{develname}
Group: System/Internationalization
Summary: Development files for ibus-anthy
Requires: %{libname} = %{version}-%{release}
Requires: %{girname} = %{version}-%{release}
Provides: %{name}-devel = %{version}-%{release}

%description -n %{develname}
This package contains development files for ibus-anthy.

# ------------------------------------------------------

%prep
%autosetup -p1


%build
%configure --with-python=python3
%make_build


%install
rm -rf $RPM_BUILD_ROOT
%make_install

find $RPM_BUILD_ROOT -name '*.la' -delete

%find_lang %{name}

# ------------------------------------------------------

%files -f %{name}.lang
%{_libexecdir}/ibus-engine-anthy
%{_libexecdir}/ibus-setup-anthy
%{_metainfodir}/*
%{_datadir}/%{name}
%{_datadir}/applications/ibus-setup-anthy.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.*
%{_datadir}/ibus/component/anthy.xml
%{_datadir}/glib-2.0/schemas/org.freedesktop.ibus.engine.anthy.gschema.xml

%files -n %{libname}
%{_libdir}/libanthygobject-%{api}.so.%{major}
%{_libdir}/libanthygobject-%{api}.so.%{major}.*

%files -n %{girname}
%{_libdir}/girepository-1.0/Anthy-9000.typelib

%files -n %{develname}
%{_libdir}/libanthygobject-%{api}.so
%{_includedir}/ibus-anthy-%{api}
%{_datadir}/gir-1.0/*.gir


%changelog
* Sat Mar 02 2024 tomcat <> 1.5.16-1.np9
- 1.5.16

* Sun Feb 26 2023 tomcat <> 1.5.14-2.np9
- build for Mageia 9

* Mon Mar 21 2022 tomcat <> 1.5.14-1.nora8
- 1.5.14

* Mon Feb 22 2021 tomcat <> 1.5.12-0.nora8
- 1.5.12 build for Mageia 8
